CanvasParserInternal::State Struct Reference

Internal: the state of a CanvasParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
bool | m_isWindowsFile
| true if this is a windows file
std::vector< unsigned long > | m_lengths
| the file header first 4+1 lengths
std::vector< unsigned long > | m_brushLengths
| the brush lengths
long | m_bitmapSize
| the file bitmap size (Windows v3)
MWAWInputStreamPtr | m_input
| the uncompressed input
Decoder | m_decoder
| the main decoder
int | m_numLayers
| the number of layer
int | m_numShapes
| the number of shapes
int | m_numViews
| the number of views
int | m_numColors
| the number of colors
int | m_numPatterns
| the number of patterns
std::vector< unsigned long > | m_sprayLengths
| the list of spray size
MWAWVec2i | m_numPages
| the number of pages
MWAWVec2i | m_pageDimension
| the page dimension
std::vector< Layer > | m_layers
| the layer
librevenge::RVNGPropertyList | m_metaData
| the meta data

## Detailed Description

Internal: the state of a CanvasParser.

## Constructor & Destructor Documentation

## ◆ State()

CanvasParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_bitmapSize

long CanvasParserInternal::State::m_bitmapSize

the file bitmap size (Windows v3)

Referenced by State().

## ◆ m_brushLengths

std::vector<unsigned long> CanvasParserInternal::State::m_brushLengths

the brush lengths

Referenced by State().

## ◆ m_decoder

Decoder CanvasParserInternal::State::m_decoder

the main decoder

Referenced by State().

## ◆ m_input

MWAWInputStreamPtr CanvasParserInternal::State::m_input

the uncompressed input

Referenced by State().

## ◆ m_isWindowsFile

bool CanvasParserInternal::State::m_isWindowsFile

true if this is a windows file

Referenced by State().

## ◆ m_layers

std::vector<Layer> CanvasParserInternal::State::m_layers

the layer

Referenced by State().

## ◆ m_lengths

std::vector<unsigned long> CanvasParserInternal::State::m_lengths

the file header first 4+1 lengths

Referenced by State().

## ◆ m_metaData

librevenge::RVNGPropertyList CanvasParserInternal::State::m_metaData

the meta data

Referenced by State().

## ◆ m_numColors

int CanvasParserInternal::State::m_numColors

the number of colors

Referenced by State().

## ◆ m_numLayers

int CanvasParserInternal::State::m_numLayers

the number of layer

Referenced by State().

## ◆ m_numPages

MWAWVec2i CanvasParserInternal::State::m_numPages

the number of pages

Referenced by State().

## ◆ m_numPatterns

int CanvasParserInternal::State::m_numPatterns

the number of patterns

Referenced by State().

## ◆ m_numShapes

int CanvasParserInternal::State::m_numShapes

the number of shapes

Referenced by State().

## ◆ m_numViews

int CanvasParserInternal::State::m_numViews

the number of views

Referenced by State().

## ◆ m_pageDimension

MWAWVec2i CanvasParserInternal::State::m_pageDimension

the page dimension

Referenced by State().

## ◆ m_sprayLengths

std::vector<unsigned long> CanvasParserInternal::State::m_sprayLengths

the list of spray size

Referenced by State().

The documentation for this struct was generated from the following file:

- CanvasParser.cxx